View Issue Details

IDProjectCategoryView StatusLast Update
0001916Far Manager_Commonpublic2011-10-25 23:33
ReporterMaximusAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001916: Фар молча падает при несоответствии формата sqlite
DescriptionНесоответствие формата бд - не причина для падения.
Откуда оно у юзера взялось - мало ли... Файл порушился, старая версия откуда-то прилетела...
В итоге, юзер имеет падение программы по невыясненным причинам.
Как минимум - нужна диагностика, а уж потом (по желанию) можно и упасть.
Хотя падение это в любом случае считается ошибкой программы, а не корректным поведением.

Ссылка на форум: http://forum.farmanager.com/viewtopic.php?p=86284#p86284
Steps To ReproduceПадает, например, после

zg 21.10.2011 23:56:07 +0200 - build 2239

   старую history.db надо удалить.
Additional InformationНапример так:
> Far.exe!sqlite3_clear_bindings(sqlite3_stmt * pStmt=0x00000000) Line 61661 C
   Far.exe!HistoryConfigDb::Enum(unsigned long index=0, unsigned long TypeHistory=2, const wchar_t * HistoryName=0x00453ad0, unsigned __int64 * id=0x0066f478, UnicodeString & strName={...}, int * Type=0x0066f484, bool * Lock=0x0066f4bb, unsigned __int64 * Time=0x0066f470, UnicodeString & strGuid={...}, UnicodeString & strFile={...}, UnicodeString & strData={...}, bool Reverse=false) Line 1836 C++
   Far.exe!History::AddToHistory(const wchar_t * Str=0x00453ab0, int Type=1, const _GUID * Guid=0x00453ab0, const wchar_t * File=0x00453ab0, const wchar_t * Data=0x00453ab0, bool SaveForbid=false) Line 117 C++
   Far.exe!FileEditor::OnDestroy() Line 2164 C++
   Far.exe!Manager::DeleteCommit() Line 1566 C++
   Far.exe!Manager::Commit() Line 1301 C++
   Far.exe!Manager::EnterMainLoop() Line 677 C++
   Far.exe!MainProcess(const wchar_t * lpwszEditName=0x00000000, const wchar_t * lpwszViewName=0x00000000, const wchar_t * lpwszDestName1=0x00453ad0, const wchar_t * lpwszDestName2=0x00453ad0, int StartLine=-1, int StartChar=-1) Line 292 C++
   Far.exe!MainProcessSEH(UnicodeString & strEditName={...}, UnicodeString & strViewName={...}, UnicodeString & DestName1={...}, UnicodeString & DestName2={...}, int StartLine=-1, int StartChar=-1) Line 310 C++
   Far.exe!wmain(int Argc=4530496, wchar_t * * Argv=0x00452368) Line 742 C++
TagsNo tags attached.
Build2247

Activities

Yegor

2011-10-24 11:55

reporter   bugnote:0007958

Я так понимаю, что пока Far3 under development - это допустимо.

max rusov

2011-10-24 12:01

reporter   bugnote:0007959

Фиг его знает. Если программа нормально обрабатывает исключения - то она вообще никогда не падает (ну, почти никогда). Но обработка исключений должна быть дисциплиной принятой во всей программе. Ловить в одном конкретном месте - как то глупо...

DrKnS

2011-10-24 13:17

administrator   bugnote:0007960

2247.

Maximus

2011-10-25 23:25

reporter   bugnote:0007961

ok

Issue History

Date Modified Username Field Change
2011-10-23 20:03 Maximus New Issue
2011-10-24 11:55 Yegor Note Added: 0007958
2011-10-24 12:01 max rusov Note Added: 0007959
2011-10-24 13:06 DrKnS Assigned To => DrKnS
2011-10-24 13:06 DrKnS Status new => assigned
2011-10-24 13:17 DrKnS Note Added: 0007960
2011-10-24 13:17 DrKnS Status assigned => feedback
2011-10-25 23:25 Maximus Note Added: 0007961
2011-10-25 23:25 Maximus Status feedback => assigned
2011-10-25 23:25 Maximus Status assigned => resolved
2011-10-25 23:33 DrKnS Build => 2247
2011-10-25 23:33 DrKnS Status resolved => closed
2011-10-25 23:33 DrKnS Resolution open => fixed
2011-10-25 23:33 DrKnS Fixed in Version => 3.0